#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Sub
%define	pnam	Name
Summary:	Sub::Name - (re)name a sub
Summary(pl.UTF-8):	Sub::Name - nazwanie/zmiana nazwy podprogramu
Name:		perl-Sub-Name
Version:	0.21
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sub/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7e7a181e30b3249d0b81585f55e36621
URL:		http://search.cpan.org/dist/Sub-Name/
BuildRequires:	perl-ExtUtils-MakeMaker
%if %{with tests}
BuildRequires:	perl(Exporter) >= 5.57
BuildRequires:	perl-Devel-CheckBin
BuildRequires:	perl-Test-Simple >= 0.88
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module has only one function, which is also exported by default:

Assigns a new name to referenced sub. If package specification is
omitted in the name, then the current package is used. The return
value is the sub.

%description -l pl.UTF-8
Ten moduł ma tylko jedną funkcję, eksportowaną domyślnie. Przypisuje
ona nową nazwę do wskazanego podprogramu. Jeśli specyfikacja pakietu
została pominięta w nazwie, użyty jest pakiet bieżący. Wartością
zwracaną jset podprogram.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Sub/Name.pm
%dir %{perl_vendorarch}/auto/Sub/Name
%attr(755,root,root) %{perl_vendorarch}/auto/Sub/Name/Name.so
%{_mandir}/man3/Sub::Name.3pm*
%changelog
* Sun Nov 06 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Sub-Name.git;a=log;h=master

* Sun Nov 06 2016 Jakub Bogusz <qboosh@pld-linux.org> b3ae18e
- updated to 0.21

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> ee8c05c
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> a036e5e
- release 2 (by relup.sh)

* Sun Mar 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 8e50484
- updated to 0.12

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> e5a8f3c
- x32 rebuild
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 79b0b82
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> d6bfdca
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> a0a3980
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 9c27eb1
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 2c7a7e4
- rel 2

* Tue Feb 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 219007f
- updated to 0.05

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 617416d
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e7569a
- release 3

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 70ef726
- release 2

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 0127be9
- updated to 0.04

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 574aee3
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 56d2f67
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Jakub Bogusz <qboosh@pld-linux.org> 71fa837
- pl, generic URL

* Fri Feb 09 2007 radek <radek@pld-linux.org> ac545c1
- release 1

* Fri Feb 09 2007 radek <radek@pld-linux.org> a130efa
- new

